@font-face
{
	font-family:"Futura Pro Book W05 Regular";
	src:url("687d7d3d-9468-400c-9ec4-5b92c55c410f.woff2") format("woff2"),url("02aa7ba8-c9de-4b07-9e2a-fa05d09c9c07.woff") format("woff");
}

@font-face
{
	font-family:"Futura W05 Bold";
	font-weight:bold;
	src:url("801cc5a6-eaad-4fd1-84a7-7c3078365794.woff2") format("woff2"),url("1784423e-f874-498e-898c-ed3fc1d04612.woff") format("woff");
}

:root
{
	--pad-base:2.5rem;
	--default-pad:1.25rem 2.5rem;
	--theme-color: #00818f;
	--odd-color: lightgrey;
	--dark-color: #004d56;
	--bright-color: #00A8B1;
	--overlay-color: #00818f88;
	--hover-color:#cceeef;
	--header-height: 0px;
	
	--is-iso-level-spacing:-200px;
	--is-iso-level-active-count:1;
	--is-iso-flat-active-filter-color: var(--theme-color);
	
	--swiper-navigation-color: var(--dark-color);
	--swiper-pagination-color: var(--dark-color);

	--status-color-available:darkgreen;
	--status-color-unknown:darkorange;
	--status-color-unavailable:darkred;
}

html
{
	font-family:"Futura Pro Book W05 Regular";
	font-size:24px;
	height:100%;
}

body
{
	display:flex;
	min-height:100%;
	flex-direction:column;
	align-items:center;
	background:#efefef;
	margin:0;
}

a
{
	color: inherit;
	text-decoration: none;
}

strong
{
	font-family:"Futura W05 Bold";
	font-weight:bold;
}

h1,
h2,
h3,
.badge
{
	font-family:"Futura W05 Bold";
	font-weight:bold;
}

h1
{
	font-size:1.8em;
	margin:.5em 0;
	line-height:1.2em;
}

h2
{
	font-size:1.3em;
	margin:.5em 0;
}

h3
{
	font-size:1.1em;
	margin:1em 0;
}

.text-left
{
	text-align: left;
}

.text-center
{
	text-align: center;
}

.text-right
{
	text-align: right;
}


.outer
{
	background:white;
	width:1920px;
	max-width:100%;
	flex: 1 1 auto;
	display:flex;
	flex-direction:column;
}

.fancybox__content
{
	padding:0;
	width:40em;
	max-width:100%;
	color:black;
}

.fancybox__slide.has-image .fancybox__content
{
	width: 100%;
}

header
{
	position: relative;
}

header > .wrapper,
footer > .wrapper
{
	padding:var(--default-pad);
}

header > .wrapper
{
	display:flex;
	align-items: flex-end;
	justify-content: space-between;
	gap:2em;
}

header > .wrapper > div
{
	flex:1 1 auto;
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	gap:1.5em;
}
 
header .language
{
	align-self: flex-end;
}

header .language nav
{
	display: flex;
	gap:.5em;
	flex-wrap: nowrap;
	flex-direction:row;
	margin:0;
}

header .language a
{
	text-transform: uppercase;
	
}

header nav
{
	margin:1em 0 0 0;
}

header nav ul
{
	display:flex;
	flex-wrap:wrap;
	list-style-type: none;
	padding:0;
	gap:1.5em;
	margin:0;
}

header nav a
{
	position:relative;
	font-family:"Futura W05 Bold";
	font-weight:bold;
	display:block;
	padding-bottom:.3em;
	margin-bottom:-.5em;
}

header nav a::after
{
	content:"";
	display:block;
	position:absolute;
	bottom:0;
	left:0;
	width:0;
	height:.25em;
	background:var(--bright-color);
	transition:width .5s;
}

header nav a.active::after,
header nav a:hover::after
{
	width:100%;
}

header .logo img
{
	display:block;
	width:250px;
	max-height:110px;
	object-fit:contain;
	object-position:bottom right;
}

.nav-toggle
{
	display:none;
}

header h1,
header h2
{
	display:inline;
	margin:0;
}

header h1
{
	font-size:2.5em;
	padding-right:.25em;
	line-height:1em;
}

header h2
{
	font-family:"Futura Pro Book W05 Regular";
	font-size:.8em;
	font-weight:normal;
	white-space:nowrap;
}

main
{
	flex: 1 1 auto;
	
}

.group .element
{
	margin:1em 0;
}

.swiper-button-next,
.swiper-button-prev
{
	transition:transform .3s;
}

.swiper-button-next:hover,
.swiper-button-prev:hover
{
	transform:scale(1.1);
}

.home .swiper-slide
{
	height:calc(100vh - var(--header-height));
	min-height: 30vw;
	max-height: 100vmin;
	object-fit:cover;
}

.home .overlay
{
	position:absolute;
	bottom:1.5em;
	left:0;
	right:0;
	z-index:1;
	color:white;
	text-align:center;
	padding:var(--default-pad);
	background:var(--overlay-color);
}

.home .overlay h1
{
	margin:0;
	font-size:1.5em;
}

.swiper-pagination-bullet
{
	border-color:white;
}

.responsive
{
	position: relative;
	padding-bottom: 56.25%;
	padding-top: 0px;
	height: 0;
	overflow: hidden;
}

.responsive iframe,
.responsive > .consent-content
{
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	border:0;
}

.video video
{
	display:block;
	width:100%;
}

.group .responsive
{
	margin:1em 0;
}

.badge
{
	font-size:clamp(.8em, 2vw, 2em);
	position:absolute;
	right:2rem;
	bottom:2rem;
	background:red;
	border-radius:50%;
	z-index:1;
	color:white;
	transform:rotate(-10deg);
	width:6em;
	height:6em;
	overflow:hidden;
	text-overflow: ellipsis;
	text-align:center;
	display:flex;
	align-items:center;
	justify-content: center;
	line-height:1em;
	padding:.5em;
	box-sizing: border-box;
	box-shadow: 0 0 1em black;
	-webkit-line-clamp:3;
	line-clamp:3;
}

.placeholder
{
	width:100%;
	padding-bottom:20vmin;
	background:var(--hover-color);
}

.placeholder + .group:not(.large) > .wrapper,
.headerimage + .group:not(.large) > .wrapper,
.googlemap + .group:not(.large) > .wrapper
{
	margin-top:-3.75em;
	position:relative;
	background:white;
	z-index:101;
}

.googlemap .responsive
{
	padding-bottom:33.85%;
}

footer > .wrapper
{
	display:grid;
	grid-template-columns:minmax(0,1fr) minmax(0,2fr) minmax(0,1fr);
	align-items:center;
	justify-content:center;
	background:#e6e6e6;
	gap:1.25em;
}


main a:not(.button, button),
.fancybox__content a:not(.button, button)
{
	color:var(--theme-color);
	transition: color .3s;
}

main a:not(.button, button):hover,
.fancybox__content a:not(.button, button):hover
{
	color:var(--dark-color);
}


.faq .item
{
	margin-bottom: 1em;
	border: 1px solid var(--bright-color);
}

.faq .item.toggled,
.faq .item:hover
{
	border: 1px solid var(--hover-color);
}


.faq .item .head
{
	cursor: pointer;
	text-align: left;
	user-select: none; 
	font-weight: normal;
	padding: 0em .5em;
	display: flex;
	align-items: baseline;
	background:var(--bright-color);
	color:white;
}


.faq .item.toggled .head,
.faq .item:not(.toggled) .head:hover
{
	background: var(--hover-color);
	color:black;
}

.faq .item .head:before 
{
	content: "\f054";
	font-family: var(--fa-style-family-classic);
	display: inline-block;
	margin: 0 .30em 0 0;
	font-size: 1.3em;
	width: 1em;
	transition: .25s;
}

.faq .item.toggled .head:before 
{
	transform: rotate(90deg);
	margin: .45em .3em 0 0;
}

.faq .item .content
{
	display: flex;
	text-align: left;
	overflow:hidden;
	max-height:0;
	gap: 2em;
	transition:max-height .4s cubic-bezier(0,1,0,1);
	flex-direction: column;
}

.faq .item .content .inner
{
	padding: 1rem 1.25rem;
}

.faq .item.toggled .content
{
	
	max-height:900px;
	transition: all .8s cubic-bezier(.8,0,.2,1);
}


footer nav
{
	display: grid;
	font-size: .9em;
}

footer a:hover
{
	text-decoration: underline;
}

footer .middle
{
	text-align:center;
}

footer .middle a
{
	color:var(--bright-color);
}

footer h2
{
	margin:0;
}

footer .right
{
	text-align:right;
}

.group > .wrapper,
.offer > .wrapper,
.contact > .wrapper
{
	box-sizing:border-box;
	max-width:40em;
	margin:auto;
}

.group > .wrapper,
.offer > .wrapper,
.contact > .wrapper
{
	padding:var(--default-pad);
}

.group.large > .wrapper,
.offer > .wrapper,
.contact > .wrapper
{
	max-width:60em;
}

.offer.hasIso > .wrapper
{
	max-width: none;
}

.group + .group  > .wrapper
{
	padding-top:1px;
}

.group + .offer:not(.offer-has-iso) > .wrapper,
.offer:not(.offer-has-iso) + .group > .wrapper,
.offer + .offer:not(.offer-has-iso) > .wrapper
{
	padding-top:0;
}

table
{
	width:100%;
	border-collapse: collapse;
}

.images img
{
	display:block;
	width:100%;
}

/*Fix Grid fr unit*/
.slideshow .swiper-slide,
.slideshow .swiper-slide > img
{
	width: 100% !important;
}

.situationplan 
{
	background:var(--hover-color);
}

.situationplan .wrapper
{
	box-sizing: border-box;
	max-width: 60em;
	margin: auto;
}

.situationplan img,
.situationplan .wrapper > div,
.situationplan .wrapper > div svg
{
	display:block;
	width:100%;	
}

[data-slider] .slider-input
{
	padding:0 8px;
	margin:8px 0;
	height: 10px;
}

[data-slider] .slider-value
{
	font-size:smaller;
}

[data-slider] .slider-value span
{
	white-space: nowrap;
}

[data-slider] .slider-input,
[data-slider] .slider-input .noUi-handle
{
	box-shadow: none;
}

/* Hide markers on slider handles */
[data-slider] .slider-input .noUi-handle::before,
[data-slider] .slider-input .noUi-handle::after
{
	display: none;
}

[data-slider] .slider-input .noUi-connect
{
	background: var(--hover-color);
}

[data-slider] .slider-input .noUi-handle
{
	height: 18px;
	width: 18px;
	top: -5px;
	right: -9px; /* half the width */
	border-radius: 9px;
	background: var(--theme-color);
	border: 0;
}





[data-iso3d]
{
	position:relative;
	aspect-ratio:1; /* todo: aspect ratio from content*/
}

[data-iso3d] canvas 
{
	position: absolute;
	top:0;
	left:0;
	box-sizing: border-box;
	background: transparent;
	bottom: 0;
	width: 100% !important;
	height: 100% !important;
	outline: none;
}

.model-toolbar,
.model-direction
{
	position:absolute;
	display:flex;
	z-index:1;
}

.model-toolbar.model-toolbar-navigation
{
	top:0;
	left:1px;
}

.model-toolbar.model-toolbar-rotation
{
	bottom:0;
	right:1px;
}

.model-toolbar.model-toolbar-size
{
	right:1px;
	top:50%;
	flex-direction:column;
	transform:translateY(-50%);
}

.model-overlay,
.model-loading
{
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
	display:grid;
	place-items: center;
	box-sizing: border-box;
	z-index:1;
	pointer-events:none;
}

.model-overlay
{
	display:none;
}

.model-overlay.model-overlay-mouse,
.model-overlay.model-overlay-touch
{
	/*display:grid;*/
	color:white;
	font-size:clamp(1em,3vw,1.5em);
	padding:2em;
	text-align:center;
}

.model-overlay.model-overlay-mouse > div,
.model-overlay.model-overlay-touch > div
{
	background:rgba(0,0,0,.3);
	padding: .5em 1em;
}

.model-overlay.model-overlay-mouse .model-info-touch,
.model-overlay.model-overlay-touch .model-info-mouse
{
	display:none;
}

.model-loading-done
{
	display:none;
}

.model-toolbar > div
{
	background:white;
	outline:1px solid black;
}

.model-toolbar > div::after,
.model-loading > div::after,
.model-direction::after
{
	display: block;
	font:var(--fa-font-regular);
	cursor: pointer;
	width:1em;
	height:1em;
	padding: 1em;
	margin:auto;
}

.model-loading > div::after{
	content:"\f110";
	animation-name: fa-spin;
	animation-duration: var(--fa-animation-duration, 2s);
	animation-iteration-count: var(--fa-animation-iteration-count, infinite);
	animation-timing-function: var(--fa-animation-timing, linear);
}

.model-toolbar
{
	display:none;
}

.model-toolbar .model-prev::after{content:"\f01e"; transform:rotate(-45deg)}
.model-toolbar .model-next::after{content:"\f0e2"; transform:rotate(45deg)}
.model-toolbar .model-zoom-in::after{content:"\f00e";}
.model-toolbar .model-home::after{content:"\f015";}
.model-toolbar .model-zoom-out::after{content:"\f010";}
.model-toolbar .model-fullscreen::after{content:"\f065";}
.model-toolbar .model-maximize::after{content:"\f31e";}
.model-toolbar .model-settings::after{content:"\f013";}

.model-direction
{
	right:0;
	bottom:0;
	font-size:2em;
}

.model-direction::after{
	padding:.5em;
	content:"\f602"; 
	transform-style: preserve-3d;
	transform:rotate(calc(-45deg + var(--model-direction)))
}

.offer
{
	--offer-height: calc(100svh);
	--offer-sidebar-margin: 2em;
}

.offer.offer-has-iso
{
	scroll-margin-top: var(--header-height);
	background-color: var(--offer-background-color,none);
}

.offer.offer-has-iso .offer-ui
{
	grid-area: ui;
	pointer-events:none;
	overflow:hidden;
	aspect-ratio: var(--is-iso-aspect-ratio,1);
}

.offer.offer-has-iso .offer-ui > *
{
	pointer-events:auto;
}

.offer.offer-has-iso .offer-ui,
.offer.offer-has-iso .offer-iso
{
	position:sticky;
	top:var(--header-height);
	width:100%;
	height:var(--offer-height);
}

.offer.offer-has-iso .offer-iso
{
	display:grid;
	overflow:hidden;
	grid-area: start /start / end / end;
}

.offer [data-iso3d]
{
	--is-iso-meta_zone_state_active_free_color: #00ff004d;
	--is-iso-meta_zone_state_active_reserved_color: #ffff004d;
	--is-iso-meta_zone_state_active_rented_color: #ff00004d;
	--is-iso-meta_zone_state_active_sold_color: #ff00004d;
	--is-iso-meta_zone_state_selected_free_color: #00ff0099;
	--is-iso-meta_zone_state_selected_reserved_color: #ffff0099;
	--is-iso-meta_zone_state_selected_rented_color: #ff000099;
	--is-iso-meta_zone_state_selected_sold_color: #ff000099;
	--is-iso-meta_zone_state_filter_free_color: #00ff001a;
	--is-iso-meta_zone_state_filter_reserved_color: #ffff001a;
	--is-iso-meta_zone_state_filter_rented_color: #ffff001a;
	--is-iso-meta_zone_state_filter_sold_color: #ff00001a;
}

.offer [data-iso3d]
{
	aspect-ratio: auto;
}

.offer [data-iso]
{
	--is-iso-meta_zone_state_active_free_color: #00ff00cc;
	--is-iso-meta_zone_state_active_reserved_color: #ffff00cc;
	--is-iso-meta_zone_state_active_rented_color: #ff0000cc;
	--is-iso-meta_zone_state_active_sold_color: #ff0000cc;
	--is-iso-meta_zone_state_selected_free_color: #00ff00ff;
	--is-iso-meta_zone_state_selected_reserved_color: #ffff00ff;
	--is-iso-meta_zone_state_selected_rented_color: #ff0000ff;
	--is-iso-meta_zone_state_selected_sold_color: #ff0000ff;
	--is-iso-meta_zone_state_filter_free_color: #00ff0099;
	--is-iso-meta_zone_state_filter_reserved_color: #ffff0099;
	--is-iso-meta_zone_state_filter_rented_color: #ff000099;
	--is-iso-meta_zone_state_filter_sold_color: #ff000099;
}

.offer [data-iso] svg
{
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
}

.offer [data-iso] .is-iso-level 
{
	transition: all .6s ease;
}

.offer [data-iso] .is-iso-level.is-iso-open 
{
	transform: translateY(var(--is-iso-level-spacing));
}

.offer .offer-sidebar
{
	position:relative;
	container-type: inline-size;
}

.offer.offer-has-iso .offer-sidebar
{
	grid-area: sidebar;
	margin:var(--offer-sidebar-margin);
}

.offer.offer-has-iso .offer-list,
.offer.offer-has-iso .offer-detail,
.offer.offer-has-iso .offer-detail .offer-close
{
	background:white;
}

.offer.offer-has-iso .offer-list
{
	grid-area: list;
	padding:1rem;
}

.offer .offer-title
{
	display:flex;
	align-items: baseline;
	gap:1.25em;
}

.offer .offer-title h1,
.offer-popup h1
{
	margin:0;
}

.offer.offer-has-iso .offer-detail
{
	grid-area: detail;
	position:sticky;
	bottom:0;
	width:100%;
	height:0;
	transition:all .5s;
	transform:translateY(100%);
	opacity:0;
	pointer-events:none;
	z-index:1;
}

.offer.offer-has-iso.offer-state-popup .offer-detail
{
	transform:translateY(0%);
	height:var(--offer-height);
	opacity:1;
	pointer-events:auto;
}

.offer.offer-has-iso .offer-detail .offer-close
{
	position:absolute;
	top:0;
	right:0;
	font-size:2em;
	display:grid;
	place-items:center;
	width:2em;
	height:2em;
	cursor:pointer;
	z-index:1;
	transition:transform .5s;
	border:1px solid black;
	display:none;
}

.offer.offer-has-iso .offer-detail .offer-close::after
{
	content: "\f00d";
	display: block;
	font:var(--fa-font-regular);
}

@keyframes fade-in
{
	0% {transform:translateY(100%);opacity: 0;}
	100% {transform:translateY(0%);opacity: 1;}
}

@keyframes fade-out
{
	0% {opacity: 1;}
	100% {opacity: 0;}
}

.offer.offer-has-iso .offer-popup
{
	display:none;
	background:white;
}

.offer.offer-has-iso .offer-popup.toggled
{
	display:block;
	overflow:auto;
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
	animation: fade-in 250ms forwards;
	
}

.offer.offer-has-iso .offer-popup .offer-popup-header
{
	position:sticky;
	top:0;
	background: var(--theme-color);
	color: #FFFFFF;
}

.offer-popup .offer-popup-header > .wrapper
{
	padding: 1em 1em 0 1em;
	
}

.offer-popup .offer-popup-header > .wrapper .title
{
	margin: 0;
}

.offer-popup .offer-popup-body > .wrapper
{
	padding:0 1em 1em 1em;
	font-size: .8em;
}

.offer-popup .offer-popup-close
{
	display:none;
}

.offer.offer-has-iso .offer-popup .offer-popup-close
{
	display:initial;
	cursor:pointer;
}

.offer.offer-has-iso .offer-popup.closing
{
	animation: fade-out 250ms forwards;
}

.offer .offer-tooltips
{
	position:absolute;
}

.offer .offer-tooltip
{
	--offer-tooltip-padding:1em;
	--offer-tooltip-background:white;
	
	display:none;
	width:13em;
	font-size:.65em;
	transform-style: preserve-3d;
	text-align:center;
	container-type: inline-size;
	position:absolute;
	transform: translateX(-50%);
	pointer-events:none;
	padding:var(--offer-tooltip-padding);
	transition: opacity .5s;
	z-index:var(--offer-tooltip-z);
	cursor:pointer;
}

.offer .offer-tooltip.active
{
	display:block;
}

.offer .offer-tooltip::after
{
	content:"";
	display:block;
	position:absolute;
	width: 0; 
	height: 0; 
}

.offer .offer-tooltip .property-body
{
	display:block;
}

.offer .offer-tooltip.offer-tooltip-occluded
{
	opacity:.5;
}

.offer .offer-tooltip.offer-tooltip-orientation-top
{
	transform:translate(calc(-50% + var(--offer-tooltip-x)), calc(-100% + var(--offer-tooltip-y)));
}

.offer .offer-tooltip.offer-tooltip-orientation-top::after
{
	bottom:1px;
	left:50%;
	transform:translateX(-50%);
	border-left: var(--offer-tooltip-padding) solid transparent;
	border-right: var(--offer-tooltip-padding) solid transparent;
	border-top: var(--offer-tooltip-padding) solid var(--offer-tooltip-background);
}

.offer .offer-tooltip .property-container
{
	background:var(--offer-tooltip-background);
	padding:.5em;
	box-shadow: 3px 3px 10px 0px rgba(50, 50, 50, .5);
}

.offer .offer-tooltip .property-field-title
{
	font-weight:bold;
	font-size:1.1em;
	border-bottom:1px solid var(--odd-color);
}

.offer .offer-tooltip .primary
{
	text-align:center;
	border-top:1px solid var(--odd-color);
}

.offer.offer-has-iso > .wrapper
{
	padding:0;
	margin:auto;
	max-width:none;
}

.offer.offer-has-iso > .wrapper > .items
{
	position:relative;
	display:grid;
	grid-template-columns: auto minmax(0,max-content) minmax(0,29em) auto;
	grid-template-areas: "start ui sidebar end";
}

.offer.offer-has-iso .offer-popup
{
	box-shadow: 0px 0px 10px 0px gray;
}

.offer .houses table,
.facts table
{
	width: 100%;
	border-collapse: collapse;
}

.offer .houses [data-offer-link]:hover
{
	cursor:pointer;
}

.facts tr
{
	border-bottom:1px dotted black;
}

.offer .houses td,
.offer .houses th
{
	padding:.25em .5em;
	white-space: nowrap;
}

.offer .houses .even
{
	background: white;
}


.offer .house
{
	margin-bottom: 1.5em;
}

.offer .house h2
{
	font-size: 1em;
	text-align: left;
	background: var(--theme-color);
	color: white;
	padding: .25em .5rem;
	margin-bottom: 0;
	display: flex;
	align-items: center;
	gap: 0 1.25em;
	justify-content: space-between;
	flex-wrap: wrap;
}


.offer .house h2 small
{
	font-size: .6em;
}

.offer .houses [data-reference]:hover,
.offer .houses [data-reference].active
{
	background:var(--hover-color);
}

.offer.offer-has-iso .houses [data-reference].selected
{
	background:var(--theme-color);
}

.offer .property-header,
.offer .property-body
{
	display:grid;
	grid-template-columns: minmax(0,1fr) minmax(0,2fr) minmax(0,1fr);
	grid-template-areas: "property-title property-facts property-primary";
}

@container (max-width: 23em)
{
	.offer .property-header,
	.offer .property-body
	{
		grid-template-columns: minmax(0,2fr) minmax(0,1.2fr);
		grid-template-areas: "property-title property-title"
			"property-facts property-primary";
	}
	
	.offer .offer-list .property-title
	{
		border-bottom:1px dotted var(--hover-color);
	}
	
}

.offer .offer-list .property-container
{
	display:flex;
	flex-direction:column;
}

.offer .offer-list .property-body
{
	padding:0;
	border-bottom: 1px dotted black;
	font-size:.75em;
}

.offer .offer-list [data-reference]
{
	cursor:pointer;
}

.offer .offer-list .property-header
{
	padding:0;
	border-bottom: 1px dotted black;
}

.offer .property-header .property-field
{
	text-transform:uppercase;
	font-size:.55em;
}

.offer .property-header .property-title
{
	display:none;
}

.offer .property-title
{
	grid-area: property-title;
}

.offer .property-facts
{
	grid-area: property-facts;
	display:grid;
	grid-template-columns: var(--property-column-sizes);
}

.offer .property-primary
{
	grid-area: property-primary;
}

.offer .property-field,
.offer-popup .facts td
{
	padding: .5em .25rem;
}

.offer .property-field
{
	overflow:hidden;
	text-overflow: ellipsis;
	white-space:nowrap;
	box-sizing: border-box;
}

.offer .property-field.property-field-title
{
	font-weight:bold;
}

@container (max-width: 60em)
{
	.offer .property-field
	{
		display:none;
	}
	
	.offer .property-field.required
	{
		display:block;
	}
	
	.offer .property-facts
	{
		grid-template-columns: var(--property-column-sizes-required);
	}
}

.offer [data-reference]:not([data-availability_status="free"]) .primary
{
	color:var(--status-color-unavailable);
}

.offer [data-reference][data-availability_status="reserved"] .primary
{
	color:var(--status-color-unknown);
}

.offer [data-reference][data-availability_status="free"] .primary
{
	color:var(--status-color-available);
	font-weight:bold;
}

.offer.offer-has-iso .iso 
{
	position:relative;
	display:grid;
}

.offer.offer-has-iso .iso > img
{
	width:100%;
}

.offer .filter-button
{
	display:grid;
	align-items:center;
	grid-template-columns:auto 1fr auto;
	gap:.5em;
	background:none;
	padding:.5em 0;
	cursor:pointer;
}


.offer .filter-button .tag-pill
{
	font-size: .75em;
}

.offer .filters
{
	display:flex;
	flex-wrap:wrap;
	gap:1em;
	padding: .5rem 0;
	margin-top:1px;
}

@container (max-width:35em)
{
	.offer .filters
	{
		flex-direction:column;
	}
}

.offer .toggled .filters,
.offer .filter-button:not(.active) .fa-angle-up,
.offer .filter-button .fa-angle-down
{
	display:none;
}

/*
.offer .filter-disabled,
.offer .filters-disabled
{
	display:none;
*/

.offer .filters .filter[data-filter-type=slider]
{
	flex: 1 0 auto;
	min-width:8em;
}

.offer .filters .filter[data-filter-type=slider][data-filter-field=rentalprice_incl],
.offer .filters .filter[data-filter-type=slider][data-filter-field=sellingprice],
.offer .filters .filter[data-filter-type=slider][data-filter-field=rentalpriceexcl_m2y]
{
	flex: 2 0 auto;
}

.offer .filters .checkbox
{
	display:block;
	margin:5px 0;
	white-space: nowrap;
}

.offer .filtered
{
	display:none;
}

@media(orientation: landscape)
{
	.offer.offer-has-iso.offer-iso-type .offer-ui,
	.offer.offer-has-iso.offer-iso-type .offer-iso
	{
		grid-area: ui;
	}
}

/* fixed height
@media(orientation: landscape)
{
	.offer.offer-has-iso .offer-sidebar,
	.offer.offer-has-iso .offer-list,
	.offer.offer-has-iso.offer-state-popup .offer-detail
	{
		height:calc(var(--offer-height) - var(--offer-sidebar-margin) * 2);
		overflow:auto;
	}
	
	.offer.offer-has-iso .offer-sidebar
	{
		overflow:hidden;
	}
}
*/

.property_status.tag-pill
{
	font-size:.4em;
	font-weight: normal;
	vertical-align:middle;
	background:var(--contrast-color);
	
	/* Fallback for browsers that don't support RCS */
	color: white;
	text-shadow: 0 0 .05em black, 0 0 .05em black, 0 0 .05em black, 0 0 .05em black;

	@supports (color: oklch(from red l c h)) {
		--l: clamp(0, (var(--l-threshold, 0.623) / l - 1) * infinity, 1);
		color: oklch(from var(--contrast-color) var(--l) 0 h);
		text-shadow: none;
	}

	@supports (color: contrast-color(red)) {
		color: contrast-color(var(--contrast-color));
		text-shadow: none;
	}
}

:not([data-availability_status="free"]) .property_status.tag-pill
{
	--contrast-color:var(--status-color-unavailable);
}

[data-availability_status="reserved"] .property_status.tag-pill
{
	--contrast-color:var(--status-color-unknown);
}

[data-availability_status="free"] .property_status.tag-pill
{
	--contrast-color:var(--status-color-available);
}
.plan img
{
	display:block;
	width:100%;
	box-shadow: 0 0 2px 1px #ddd;
}

.group .slideshow,
.popup .slideshow
{
	margin:1em 0;
}

.contact .items:not(.onecol)
{
	display:grid;
	grid-template-columns: 3fr 2fr;
}

.contact .items.onecol .info
{
	display: flex;
	flex-wrap: wrap;
	justify-content: flex-start;
	gap: 0 4em;
	align-items: flex-end;
}

.contact .items.onecol .info h2
{
	width: 100%;
}

.contact .form
{
	background:#fcfcfc;
	padding:var(--default-pad);
}

.contact .info
{
	padding:var(--default-pad);
	background:#f7f7f7;
}

.form-layout
{
	display:grid;
	grid-template-columns: 1fr 1fr;
	gap: 0em 3em;
}

.form-group
{
	padding:.5em 0 .75em 0;
}

.form-label
{
	display:block;
	padding-bottom:.25em;
}

.selectables
{
	display:flex;
	flex-wrap:wrap;
	gap: 0 1.25em;
}

.selectables > label
{
	display:flex;
	align-items: center;
	gap:.3em;
}

input,
select,
textarea,
button
{
	font:inherit;
	box-sizing:border-box;
}

input[type=text],
input[type=email],
input[type=tel],
select,
textarea
{
	display:block;
	width:100%;
	border:none;
	border-bottom:1px solid var(--theme-color);
	padding:.2em 0;
	outline:none;
	background:none;
}

input[type=checkbox],
input[type=radio]
{
	appearance:none;
	-webkit-appearance:none;
}

input[type=checkbox]:after,
input[type=radio]:after
{
	font-style: normal;
	font-variant: normal;
	text-rendering: auto;
	-webkit-font-smoothing: antialiased;
	font-family: "Font Awesome 6 Pro";
	font-weight: 400;
	font-size:.9em;
}

input[type=checkbox]:after{content: "\f0c8";}
input[type=checkbox]:checked:after{content: "\f14a";}
input[type=radio]:after{content:"\f111";}
input[type=radio]:checked:after{content: "\f192";}

textarea
{
	height:4em;
}

button,
.button
{
	white-space: nowrap;
	color: white;
	background: var(--theme-color);
	border: none;
	border-bottom: 2px solid var(--dark-color);
	padding: .25em 1em;
	transition:background .3s;
	cursor: pointer;
}

button.primary,
.button.primary
{
	font-weight: bold;
}



button.secondary,
.button.secondary
{
	background: #757575;
	border-color: #343433;
}




button:hover,
.button:hover,
button.secondary:hover,
.button.secondary:hover
{
	background: var(--dark-color);
}

button.application,
.button.application
{
	background:#ee5b5d;
	border-color:#e20004;
}

button.application:hover,
.button.application:hover
{
	background:#e20004;
}




.contact .form-warning
{
	display:block;
	color:red;
	padding:.25em 0;
	font-size:smaller;
	width:100%; /* for boxes */
}

.contact .form-invalid
{
	border-color:red;
}

.ajax-loading,
.ajax-error,
.mail.success,
.mail.error
{
	
	background: green;
	padding:3em 1em;
	text-align:center;
	color:white;
}

.ajax-error,
.mail.error
{
	background:red;
}

.ajax-form .ajax-loading,
.ajax-form .ajax-result,
.ajax-form .ajax-error,
.ajax-form.ajax-state-loading form,
.ajax-form.ajax-state-success form
{
	display:none;
}

.ajax-form.ajax-state-loading .ajax-loading,
.ajax-form.ajax-state-success .ajax-result,
.ajax-form.ajax-state-error .ajax-error
{
	display:block;
}

.person,
.company
{
	margin:3em 0;
}

.info p
{
	margin:0;
	line-height:1.2em;
}

.info img
{
	display:block;
	margin-bottom:1em;
}

.person .image img
{
	max-width:150px;
}

.company .logo img
{
	width:200px;
	max-height:100px;
	object-fit:contain;
	object-position:bottom left;
}

.row {
    display: grid;
    grid-template-columns: minmax(0,1fr) minmax(0,1fr);
    gap: 1.25em;
}

.gallery .row
{
	margin-bottom:1em;
	grid-template-columns: 1fr 1fr 1fr;
}

.gallery .row.cols-1
{
	grid-template-columns: 1fr;
}

.gallery .row.cols-1 img
{
	aspect-ratio: 16/9;
}

.gallery .row.cols-2
{
	grid-template-columns: 1fr 1fr;
}

.gallery .row.cols-2 img
{
	aspect-ratio: 16/9;
}

.gallery a
{
	overflow:hidden;
}

.gallery img
{
	width:100%;
	display:block;
	aspect-ratio: 1;
	object-fit:cover;
	transition: transform .5s;
}

.gallery img:hover
{
	transform:scale(1.05);
}

.links
{
	background:var(--hover-color);
}

.links .items
{
	display:flex;
	gap: .62em;
	flex-wrap:wrap;
	justify-content:center;
	padding:var(--default-pad);
}

.link-container
{
	display:flex;
	gap: .62em;
	flex-wrap:wrap;
	margin:1em 0;
}

.highlights .items
{
	display:flex;
	flex-wrap:wrap;
	gap: 1.25em;
	justify-content:center;
}

.highlights .items > div
{
	background:var(--bright-color);
	color:white;
	padding:var(--default-pad);
	width: calc( ( 100% - ( 1.25em * 2 ) ) / 3 );
	box-sizing: border-box;
}

.highlights p
{
	font-size:smaller;
}

.news .row
{
	background:var(--hover-color);
	padding:var(--default-pad);
	grid-template-areas:"text image";
}

.news .col-text{grid-area:text;}
.news > :first-child{grid-area:image;}

.news h1
{
	color:var(--theme-color);
}





.blog .list
{
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	gap: 1.25em;
	margin: 0em auto 3em auto;
	max-width: 60em;
	padding: var(--default-pad);
	padding-top: 0px;
}


.blog .list .entry
{
	background: var(--bright-color);
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	color: #FFFFFF;
	text-decoration: none;
}

.blog .list .entry .item
{
	padding: 1em;
}

.blog .list .entry h2
{
	margin-top: .25em;
	text-decoration: none;
}

.blog .list .entry .typo
{
	color: #FFFFFF;
}

.blog .list .entry .image
{
	height: 280px;
	background-size: cover;
	background-position: center center;

}


.blog.detail .group + .group
{
	padding-top: 0em;
	margin-top: -2em;
}


.blog.detail h1
{
	margin: 0px;
}




.contact .row
{
	display:flex;
	flex-wrap:wrap;
	background: #f7f7f7;
	align-items: flex-end;
}

.contactbox h2
{
	width:100%;
}





.consent-cover
{
	position:absolute;
	width:100%;
	height:100%;
	background:rgba(0,0,0,.2);
	display:flex;
	justify-content: center;
	align-items:center;
}

.consent-cover .consent-message
{
	text-align:center;
}

.consent-cover-info
{
	display:flex;
	flex-direction:column;
	align-items: center;
	gap:.5em;
	padding:2em;
}

.consent-dialog
{
	position:sticky;
	bottom:0;
	left: 0px;
	right: 0px;
	width: 100%;
	background: #434341;
	color: #FFFFFF;
	z-index:301;
	box-shadow: 3px 3px 10px 0px rgb(50 50 50);
	font-size: .8em;
}

.consent-dialog .wrapper
{
	display:flex;
	flex-direction:column;
	gap: .5em;
	margin:auto;
	padding:1em 2em;
	max-width: 60em;
}

.toggle-button
{
	font-size:1.4em;
	position:relative;
	width:2em;
	height:1em;
	background:gray;
	box-sizing:border-box;
	border-radius:.5em;
	transition:background .5s;
	cursor:pointer;
}

.toggle-button::after
{
	content:"";
	position:absolute;
	left:0;
	top:0;
	width:calc(1em - 4px);
	height:calc(1em - 4px);
	margin:2px;
	background:white;
	border-radius:.4em;
}

.toggle-button.active
{
	background:green;
}

.toggle-button.active::after
{
	right:0;
	left:auto;
}

a[consent-settings]
{
	cursor: pointer;
}

.consent-settings .tab
{
	border-top:1px solid black;
}

.consent-settings .consent-preferences
{
	border-bottom: 1px solid black;
}

.consent-settings .tab .header
{
	display:flex;
	justify-content: space-between;
	align-items:center;
	gap:.5em;
	font-size: .8em;
}

.consent-links
{
	gap:.5em;
	display:inline-flex;
	text-decoration: underline;
	flex-wrap: wrap;
}



.links.consent-buttons
{
	background: none;
}


.links.consent-buttons .items
{
	padding: 0;
	justify-content: flex-start;
}







.consent-settings .tab [data-toggle]
{
	cursor:pointer;
}


.consent-settings .tab [data-toggle] h2
{
	display: flex;
	gap:.5em;
	align-items: center;
	
}

.consent-settings .tab [data-toggle] h2:before
{
	display: block;
	font: var(--fa-font-regular);
	content:"\f054"
}

.consent-settings .tab [data-toggle].active h2:before
{
	content:"\f078";
}


.consent-settings .tab .body
{
	padding-bottom: 1em;
}

.tab .body.toggled
{
	display:block;
}
.tag-pill
{
	padding:.1em .5em;
	background:var(--odd-color);
	color:white;
	border-radius:.5em;
	margin-top:-.25em;
}

.hidden
{
	display:none;
}

@media(orientation: portrait)
{
	.offer.offer-has-iso
	{
		border-top:none;
	}

	.offer.offer-has-iso > .wrapper > .items
	{
		grid-template-columns:none;
		grid-template-areas: "iso"
		"sidebar";
		height:auto;
	}
	
	.offer.offer-has-iso .offer-ui,
	.offer.offer-has-iso .offer-iso
	{
		grid-area: iso;
		height: calc(50svh - var(--header-height) / 2);
		z-index:1;
	}
	
	.offer.offer-has-iso .offer-iso
	{
		background:var(--offer-background-color,white);
	}
	
	.offer.offer-has-iso.offer-state-popup .offer-detail
	{
		height:calc((100dvh - var(--header-height)) - (50svh - var(--header-height) / 2));
	}
	
	.offer.offer-has-iso .offer-sidebar
	{
		margin:0;
		display:block;
	}
	
	.offer.offer-has-iso .offer-list
	{
		padding: var(--pad-base)
	}
}

@media(max-width:1360px)
{
	header .logo
	{
		display: none;
	}
	
	.blog .list
	{
		grid-template-columns: 1fr 1fr;
	}
}

@media(max-width:1100px)
{

	.optional.medium
	{
		display:none;
	}
	
	.highlights .items,
	footer .wrapper,
	.contact .items:not(.onecol),
	.form-layout,
	.popup .row
	{
		display:flex;
		flex-direction: column;
	}
	
	.highlights .items > div
	{
		width:auto;
	}
	
	.placeholder + .group > .wrapper,
	.headerimage + .group > .wrapper,
	.googlemap + .group > .wrapper
	{
		margin-top:0 !important;
	}
	
	.news .row,
	.offer.hasIso .items
	{
		display:block;
	}
	
	.badge
	{
		bottom:1rem;
	}
}

@media(max-width:1000px)
{
	header .language
	{
		position: absolute;
		top: .2em;
		right: var(--pad-base);
	}
	
	

	
}

@media(max-width:800px)
{
	html
	{
		font-size:18px;
	}	
	
	:root
	{
		--pad-base:1.25rem;
		--default-pad:1.25rem;
	}
	
	.optional
	{
		display:none;
	}
	
	.offer .offerMobile
	{
		display:flex;
	}
	
	.googlemap .responsive
	{
		padding-bottom:100%;
	}
	
	.home .overlay
	{
		position: static;
	}
	
	.home .swiper-pagination-bullets
	{
		bottom:5px;
	}
	
	.home .overlay h1,
	footer h2
	{
		font-size:1.1em;
	}
	
	header h1
	{
		font-size:2em;
	}
	
	.offer table caption,
	.offer table td,
	.offer table th
	{
		padding-left: 0.38rem;
		padding-right: 0.38rem;
	}
	
	.blog .list
	{
		grid-template-columns: 1fr;
	}
	
}

@media(max-width:450px) {
	header h2 {
		white-space: wrap;
		display: block;
	}
}

@media(orientation:portrait)
{
	.vtour .responsive
	{
		padding-bottom:120%;
	}
}

input[name=Email_Address]{display:none !important;}